# Ansible-Zammad

Installs and configures a RHEL based machine as a Zammad server

## Variables

|              Variable               |                             Default                              |  Choices   | Description |
| ----------------------------------- | ---------------------------------------------------------------- | ---------- | ----------- |
| zammad_url                          | $ansible_nodename                                                |            |             |
| zammad_certificate                  | /etc/ssl/$ansible_nodename/live/fullchain.pem                    |            |             |
| zammad_certificate_key              | /etc/ssl/$ansible_nodename/live/privkey.pem                      |            |             |
| zammad_certbot                      | false                                                            | true,false |             |
| zammad_precompile                   | false                                                            | true,false |             |
| zammad_es_ingest_fix                | false                                                            | true,false |             |
| zammad_custom_css                   | templates/customCSS                                              |            |             |
| zammad_custom_templates             | templates/customTemplates                                        |            |             |
| zammad_httpsRedirect                | true                                                             | true,false |             |
| zammad_es_url                       | http://localhost:9200                                            |            |             |
| zammad_es_attachment_ignore         | '.png', '.jpg', '.jpeg', '.mpeg', '.mpg', '.mov', '.bin', '.exe' |            |             |
| zammad_es_attachment_max_size_in_mb | 50                                                               |            |             |
| zammad_es_username                  |                                                                  |            |             |
| zammad_es_password                  |                                                                  |            |             |
| zammad_es_version                   | 8                                                                |            |             |
| zammad_es_xpack_security_enabled    | false                                                            | true,false |             |
| zammad_es_network_host              |                                                                  |            |             |
| zammad_es_discovery_seed_hosts      |                                                                  |            |             |
| zammad_es_max_content_length        | 400mb                                                            |            |             |
| zammad_es_max_clause_count          | 2000                                                             |            |             |

## License

See LICENSE file for full license information.
